Last Comment Bug 722752 - Home page shows set up banner even though Sync was just set up
: Home page shows set up banner even though Sync was just set up
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM All
-- normal (vote)
: Firefox 13
Assigned To: Lucas Rocha (:lucasr)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks: 721354
  Show dependency treegraph
 
Reported: 2012-01-31 09:48 PST by Tracy Walker [:tracy]
Modified: 2016-07-29 14:22 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
fixed
+


Attachments
Show/hide sync banner when sync accounts are added/removed (4.16 KB, patch)
2012-02-01 08:09 PST, Lucas Rocha (:lucasr)
mark.finkle: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description User image Tracy Walker [:tracy] 2012-01-31 09:48:13 PST
After connection mobile device (in this Samsung 10.1 tab), Return to Aurora start page shows the set up sync banner across the top sites section of that page.  reloading the page makes the banner go away.

expected results:  the start page should not sow the setup banner once the device has been connected to an account.
Comment 1 User image Aaron Train [:aaronmt] 2012-01-31 10:17:18 PST
Hey Tracy, this is bug 721354 which landed yesterday on Aurora. Can you try today's build?
Comment 2 User image Tracy Walker [:tracy] 2012-01-31 10:54:27 PST
Aaron, build is Mozilla/5.0 (Android; Linux armv7l; rv:11.0a2) Gecko/20120131 Firefox/11.0a2 Fennec/11.oa2  on Samsung Galaxy Tab 10.1

Doesn't appear both birds got got.
Comment 3 User image Aaron Train [:aaronmt] 2012-01-31 10:58:14 PST
(In reply to Tracy Walker [:tracy] from comment #2)
> Aaron, build is Mozilla/5.0 (Android; Linux armv7l; rv:11.0a2)
> Gecko/20120131 Firefox/11.0a2 Fennec/11.oa2  on Samsung Galaxy Tab 10.1
> 
> Doesn't appear both birds got got.

Lucas?
Comment 4 User image Lucas Rocha (:lucasr) 2012-02-01 08:09:16 PST
Created attachment 593454 [details] [diff] [review]
Show/hide sync banner when sync accounts are added/removed
Comment 5 User image Lucas Rocha (:lucasr) 2012-02-02 08:10:31 PST
Pushed: http://hg.mozilla.org/integration/mozilla-inbound/rev/36fb43ea8f0c
Comment 6 User image Lucas Rocha (:lucasr) 2012-02-02 08:11:17 PST
Comment on attachment 593454 [details] [diff] [review]
Show/hide sync banner when sync accounts are added/removed

Important UX fix for about:home. Non-risky.
Comment 7 User image Ed Morley [:emorley] 2012-02-03 11:20:12 PST
https://hg.mozilla.org/mozilla-central/rev/36fb43ea8f0c
Comment 8 User image Alex Keybl [:akeybl] 2012-02-05 13:44:40 PST
Comment on attachment 593454 [details] [diff] [review]
Show/hide sync banner when sync accounts are added/removed

[Triage Comment]
Mobile only - approved for Aurora 12 and Beta 11.
Comment 9 User image Cristian Nicolae (:xti) 2012-02-06 09:19:44 PST
Verified fixed on:

Firefox 13.0a1 (2012-02-06)
20120206031148
http://hg.mozilla.org/mozilla-central/rev/814d0b2dbaba
Device: HTC Desire Z
OS: Android 2.3.3

Firefox 12.0a2 (2012-02-06)
20120206042011
http://hg.mozilla.org/releases/mozilla-aurora/rev/9fb0c06ceb49
Device: HTC Desire Z
OS: Android 2.3.3

Firefox 11.0
20120206042108
http://hg.mozilla.org/releases/mozilla-beta/rev/6a71fe8b7ada
Device: HTC Desire Z
OS: Android 2.3.3
Comment 10 User image Mark Finkle (:mfinkle) (use needinfo?) 2012-02-06 12:28:08 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/b1cd565bc999

(has not landed on fx11 yet)
Comment 11 User image Brad Lassey [:blassey] (use needinfo?) 2012-02-06 14:01:29 PST
https://hg.mozilla.org/releases/mozilla-beta/rev/8381446b37ca

Note You need to log in before you can comment on or make changes to this bug.